## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global srcname molecule
%global pkgname python-molecule
%global setup_flags SKIP_PIP_INSTALL=1 PBR_VERSION=%{version}
%global forgeurl https://github.com/ansible/%{srcname}

%bcond_with doc
%bcond_with tests

Name:    %{pkgname}
Version: 3.6.1
%forgemeta
Release: %autorelease
Summary: Molecule is designed to aid in the development and testing of Ansible roles

# Most of the package is MIT licensed.
#
# There are two files in the archive that are licensed with ASL 2.0:
# - molecule-2.7/molecule/interpolation.py
# - molecule-2.7/test/unit/test_interpolation.py
License: MIT and ASL 2.0

URL:     %{forgeurl}
Source0: %{forgesource}

BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros


%global common_description %{expand:
Molecule is designed to aid in the development and testing of Ansible roles.
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios. Molecule is opinionated in order to encourage an approach
that results in consistently developed roles that are well-written, easily
understood and maintained. Molecule uses Ansible playbooks to exercise the role
and its associated tests. Molecule supports any provider that Ansible supports.}

%description %{common_description}

%package -n python3-%{srcname}-doc
Summary: %summary
%description -n python3-%{srcname}-doc
Documentation for python-molecule a tool designed to aid in the development and testing
of Ansible roles

%package -n python3-%{srcname}
Summary: %summary

Recommends: python-molecule-doc
Recommends: python3dist(docker)
Recommends: python3dist(docker)
Recommends: python3dist(molecule-docker)
Recommends: python3dist(molecule-podman)

Requires: yamllint
Requires: pre-commit

Requires: python3dist(sh)
Requires: python3dist(rich) >= 9.5.1
Requires: python3dist(poyo)
Requires: python3dist(toml)
Requires: python3dist(click) >= 8.0
Requires: python3dist(click) < 9.0
Requires: python3dist(enrich) >= 1.2.5
Requires: python3dist(flake8)
Requires: python3dist(jinja2) >= 2.11.3
Requires: python3dist(future)
Requires: python3dist(pyyaml) >= 5.1
Requires: python3dist(pluggy) >= 0.7.1
Requires: python3dist(pluggy) < 1.0
Requires: python3dist(ansible)
Requires: python3dist(selinux)
Requires: python3dist(cerberus) >= 1.3.1
Requires: python3dist(cerberus) <= 1.3.3
Requires: python3dist(requests)
Requires: python3dist(colorama)
Requires: python3dist(tabulate)
Requires: python3dist(paramiko) >= 2.5.0
Requires: python3dist(paramiko) < 3
Requires: python3dist(python-gilt)
Requires: python3dist(tree-format)
Requires: python3dist(marshmallow)
Requires: python3dist(ansible-lint) >= 5.1.1
Requires: python3dist(cookiecutter) >= 1.7.3
Requires: python3dist(git-url-parse)
Requires: python3dist(ansible-compat) >= 0.5
Requires: python3dist(subprocess-tee) >= 0.3.2
Requires: python3dist(pytest-testinfra)
Requires: python3dist(click-completion) >= 0.5.1
Requires: python3dist(click-help-colors) >= 0.9
Requires: python3dist(sphinx-ansible-theme) >= 0.2.2

%description -n python3-%{srcname} %{common_description}

%prep
%forgeautosetup -p1

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-x testing}

%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=src sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{srcname}

%if %{with tests}
%check
%{python3} -m pytest test -v
%endif

%files -n python3-%{srcname}
%{python3_sitelib}/*
%{python3_sitelib}/%{srcname}-%{version}.dist-info
%{python3_sitelib}/%{srcname}/
%license LICENSE
%{_bindir}/%{srcname}
%{_bindir}/mol

%if %{with doc}
%files -n python3-{%srcname}-doc
%license LICENSE
%doc *.rst
%doc html/
%endif

%changelog
* Fri May 20 2022 Chedi Toueiti <chedi.toueiti@gmail.com> 3.6.1-1
- update to version 3.6.1-1 (#2051469)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 3.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 08 2021 chedi <chedi.toueiti@gmail.com> 3.5.2-1
- relaxing the pyyaml < 6 requirement as there is no lower version in f36

* Wed Sep 01 2021 chedi <chedi.toueiti@gmail.com> 3.4.0-2
- RPMAUTOSPEC: unresolvable merge
